summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoonas Niilola <juippis@gentoo.org>2020-08-19 15:44:12 +0300
committerJoonas Niilola <juippis@gentoo.org>2020-08-19 15:45:20 +0300
commitc87110aac367a9d3725fbd234e086bb53b2c5d66 (patch)
tree2e99f27cdc924053028925f7d96037e864083c0a /media-libs/rlottie/rlottie-0.2.ebuild
parentgnome-base/gnome-session: Update gnome-mimeapps.list (diff)
downloadgentoo-c87110aac367a9d3725fbd234e086bb53b2c5d66.tar.gz
gentoo-c87110aac367a9d3725fbd234e086bb53b2c5d66.tar.bz2
gentoo-c87110aac367a9d3725fbd234e086bb53b2c5d66.zip
media-libs/rlottie: bump to 0.2
Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'media-libs/rlottie/rlottie-0.2.ebuild')
-rw-r--r--media-libs/rlottie/rlottie-0.2.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/media-libs/rlottie/rlottie-0.2.ebuild b/media-libs/rlottie/rlottie-0.2.ebuild
new file mode 100644
index 00000000000..c5da30c238e
--- /dev/null
+++ b/media-libs/rlottie/rlottie-0.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+DESCRIPTION="A platform independent standalone library that plays Lottie Animations"
+HOMEPAGE="https://www.tizen.org/ https://github.com/Samsung/rlottie"
+SRC_URI="https://github.com/Samsung/rlottie/archive/v${PV}.tar.gz -> ${P}-1.tar.gz"
+
+LICENSE="BSD FTL JSON MIT"
+SLOT="0/0.2"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug examples test"
+
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( dev-cpp/gtest )"
+
+src_configure() {
+ local emesonargs=(
+ -D cache=true
+ -D module=true
+ -D thread=true
+
+ -D cmake=false
+ -D example=false
+
+ $(meson_use debug dumptree)
+ $(meson_use debug log)
+ $(meson_use test)
+ )
+
+ meson_src_configure
+}
+
+src_test() {
+ cd "${BUILD_DIR}" || die "Failed to switch into BUILD_DIR."
+ eninja test
+}